Bug 248114 - Choose the language of the website
Choose the language of the website
Status: CLOSED NEXTRELEASE
Product: Fedora Localization
Classification: Fedora
Component: Website (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Diego Búrigo Zacarão
Diego Búrigo Zacarão
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 07:28 EDT by Alain Portal
Modified: 2007-09-17 17:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 17:18:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alain Portal 2007-07-13 07:28:29 EDT
It could be a nice idea to add a language selector (flags?) to choose the 
language in which we want to browse the FLP website
Comment 1 Dimitris Glezos 2007-07-13 09:27:25 EDT
+1. Although presenting the languages is easy, we'd need to code the
functionality that actually changes the website language. Not sure how we can do
it though. I suspect through a cookie, which the website currently doesn't
support (I think).
Comment 2 Alain Portal 2007-07-13 10:25:35 EDT
I don't know what is used to build the website, but with php, you can use 
session id. I didn't know php before making this website: 
http://pikloops.sf.net
If there is some interest for you, you can checkout the svn repository for the 
web
Comment 3 Dimitris Glezos 2007-07-13 11:40:55 EDT
The website is written in Python, so we need to it that way.

This could be a nice small project for anyone wanting to install our website
locally at his workstation and try to fix this. I can help out.
Comment 4 Alain Portal 2007-07-13 14:01:43 EDT
(In reply to comment #3)
> The website is written in Python, so we need to it that way.

Sorry, I can't help you for that ;-)

Dimitri, would you agree to do the greek translation for pikloops ? ;-)
30 strings in the program, 85 in the web site
Comment 5 Dimitris Glezos 2007-09-03 17:21:49 EDT
Alain, can you please test the language selection feature at:
http://publictest5.fedora.redhat.com/?

Diego, do you think we should deploy without waiting for upstream? If yes, we'll
have to merge in the differences when we decide to update our instance.
Comment 6 Alain Portal 2007-09-04 02:37:30 EDT
It seems to work fine.
Thanks
Comment 7 Diego Búrigo Zacarão 2007-09-04 08:17:06 EDT
Unfortunate, it's not working properly at all. :/
The selection button doesn't show the correct lang selected when the user is on
team pages.
I.e.: http://publictest5.fedora.redhat.com/teams/hy

I'm looking for the problem and I hope to fix it soon.

Dimitris, I haven't talked with Danilo yet. I think we could know his opinion
and then merge the code in our instance, if he doesn't intent to implement the
feature in DL.

Feel free to take a look in the code to fix the problem, if you want.
Comment 8 Diego Búrigo Zacarão 2007-09-17 14:33:19 EDT
Ok.

All seems to work fine and I have filed a bug 7 days ago instead Damned Lies (DL):
http://bugzilla.gnome.org/show_bug.cgi?id=475527

Dimitris, do we wait and see how long time it needs to be done?
Comment 9 Dimitris Glezos 2007-09-17 16:27:01 EDT
I suggest to eat our own dogfood and commit it and mark it as LIVE on our tree.
Comment 10 Diego Búrigo Zacarão 2007-09-17 17:18:40 EDT
Ok, committed in our instance and it should be LIVE in some hours.

Thank you.

Diego

Note You need to log in before you can comment on or make changes to this bug.